VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties
VisimBox.Renderer.Renderer Class Reference
Inheritance diagram for VisimBox.Renderer.Renderer:

List of all members.

## Public Member Functions
| Renderer ()
virtual bool | IsIdle ()
| Returns true if thread with rendering is idle (any context)
virtual void | Initialize (RenderContextSettings settings)
| Initializes renderer.
virtual IRenderContext | AddNewContext (RenderContextSettings settings)
| Adds another render context.
virtual void | RemoveContext (IRenderContext irc)
| Shuts down selected render context.
virtual void | StartFrame ()
| Starts rendering frame on activated context.
virtual void | EndFrame ()
| Ends rendering frame on activated context (and shows it on screen)
void | RenderAllContexts ()
| Automatically renders all contexts.
virtual void | Close ()
| Closes renderer.
virtual void | Dispose ()
## Protected Member Functions
void | AddContext (IRenderContext ctx)
virtual IRenderContext | CreateNewContext (RenderContextSettings settings)
## Protected Attributes
bool | initialized = false
TextureManager | TexMan
VertexBufferManager | _VertexMan
IndexBufferManager | _IndexMan
MeshManager | _MeshMan
MaterialManager | _MaterialMan
Render2D.FontManager | _FontMan
LightManager | _LightMan
List< IRenderContext > | rContexts
IRenderContext | mainContext
## Properties
IRenderContext | MainContext`[get]`
| Main rendering context.
TextureManager | TextureMan`[get]`
| Texture manager.
VertexBufferManager | VertexMan`[get]`
| Vertex buffer manager.
IndexBufferManager | IndexMan`[get]`
| Index buffer manager.
MaterialManager | MaterialMan`[get]`
| Material manager.
Render2D.FontManager | FontMan`[get]`
| Bitmap font manager.
MeshManager | MeshMan`[get]`
| Mesh manager.
LightManager | LightMan`[get]`
| Light manager.

## Constructor & Destructor Documentation

VisimBox.Renderer.Renderer.Renderer | ( |  | ) |

## Member Function Documentation

void VisimBox.Renderer.Renderer.AddContext | ( | IRenderContext | ctx | ) | `[protected]`

virtual IRenderContext VisimBox.Renderer.Renderer.AddNewContext | ( | RenderContextSettings | settings | ) | `[virtual]`

Adds another render context.

Parameters:

  settings | Settings for context

Returns:
  Pointer to new context

Implements VisimBox.Renderer.IRenderer.

virtual void VisimBox.Renderer.Renderer.Close | ( |  | ) | `[virtual]`

Closes renderer.

Implements VisimBox.Renderer.IRenderer.

virtual IRenderContext VisimBox.Renderer.Renderer.CreateNewContext | ( | RenderContextSettings | settings | ) | `[protected, virtual]`

Reimplemented in VisimRenderGL.RenderPlugin.

virtual void VisimBox.Renderer.Renderer.Dispose | ( |  | ) | `[virtual]`

virtual void VisimBox.Renderer.Renderer.EndFrame | ( |  | ) | `[virtual]`

Ends rendering frame on activated context (and shows it on screen)

Implements VisimBox.Renderer.IRenderer.

virtual void VisimBox.Renderer.Renderer.Initialize | ( | RenderContextSettings | settings | ) | `[virtual]`

Initializes renderer.

Parameters:

  settings | Settings for primary render context

Implements VisimBox.Renderer.IRenderer.

Reimplemented in VisimRenderGL.RenderPlugin.

virtual bool VisimBox.Renderer.Renderer.IsIdle | ( |  | ) | `[virtual]`

Returns true if thread with rendering is idle (any context)

Returns:

Implements VisimBox.Renderer.IRenderer.

Reimplemented in VisimRenderGL.RenderPlugin.

virtual void VisimBox.Renderer.Renderer.RemoveContext | ( | IRenderContext | irc | ) | `[virtual]`

Shuts down selected render context.

Parameters:

  irc | render context

Implements VisimBox.Renderer.IRenderer.

void VisimBox.Renderer.Renderer.RenderAllContexts | ( |  | ) |

Automatically renders all contexts.

Implements VisimBox.Renderer.IRenderer.

virtual void VisimBox.Renderer.Renderer.StartFrame | ( |  | ) | `[virtual]`

Starts rendering frame on activated context.

Implements VisimBox.Renderer.IRenderer.

## Member Data Documentation

Render2D.FontManager VisimBox.Renderer.Renderer._FontMan`[protected]`

IndexBufferManager VisimBox.Renderer.Renderer._IndexMan`[protected]`

LightManager VisimBox.Renderer.Renderer._LightMan`[protected]`

MaterialManager VisimBox.Renderer.Renderer._MaterialMan`[protected]`

MeshManager VisimBox.Renderer.Renderer._MeshMan`[protected]`

VertexBufferManager VisimBox.Renderer.Renderer._VertexMan`[protected]`

bool VisimBox.Renderer.Renderer.initialized = false`[protected]`

IRenderContext VisimBox.Renderer.Renderer.mainContext`[protected]`

List<IRenderContext> VisimBox.Renderer.Renderer.rContexts`[protected]`

TextureManager VisimBox.Renderer.Renderer.TexMan`[protected]`

## Property Documentation

Render2D.FontManager VisimBox.Renderer.Renderer.FontMan`[get]`

Bitmap font manager.

Implements VisimBox.Renderer.IRenderer.

IndexBufferManager VisimBox.Renderer.Renderer.IndexMan`[get]`

Index buffer manager.

Implements VisimBox.Renderer.IRenderer.

LightManager VisimBox.Renderer.Renderer.LightMan`[get]`

Light manager.

Implements VisimBox.Renderer.IRenderer.

IRenderContext VisimBox.Renderer.Renderer.MainContext`[get]`

Main rendering context.

Implements VisimBox.Renderer.IRenderer.

MaterialManager VisimBox.Renderer.Renderer.MaterialMan`[get]`

Material manager.

Implements VisimBox.Renderer.IRenderer.

MeshManager VisimBox.Renderer.Renderer.MeshMan`[get]`

Mesh manager.

Implements VisimBox.Renderer.IRenderer.

TextureManager VisimBox.Renderer.Renderer.TextureMan`[get]`

Texture manager.

Implements VisimBox.Renderer.IRenderer.

VertexBufferManager VisimBox.Renderer.Renderer.VertexMan`[get]`

Vertex buffer manager.

Implements VisimBox.Renderer.IRenderer.

The documentation for this class was generated from the following file:

- Renderer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events